regina::i18n::Locale Class Reference
Miscellaneous Utilities

A simple class with static routines for querying information about the current locale. More...

`#include <utilities/i18nutils.h>`

## Public Member Functions

| Locale ()=delete
| Disable the default constructor, since all routines are static. More...

## Static Public Member Functions

static const char * | codeset ()
| Returns the character encoding used in the current locale. More...

## Detailed Description

A simple class with static routines for querying information about the current locale.

These routines use ::setlocale() to determine the current locale, which means they respect environment variables such as LANG and LC_ALL.

The documentation for this class was generated from the following file:

- utilities/i18nutils.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).